# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_DynamicInstance Class Reference

A dynamic instance is a reference to the dynamic
class and a sequence of parameters which is the
complete listing of all the parameters of all the
inherited classes.
.

`#include <Dynamic_DynamicInstance.hxx>`

Inheritance diagram for Dynamic_DynamicInstance:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_DynamicInstance ()
| Creates an empty instance of this class. .
Standard_EXPORT void | Parameter (const Handle(Dynamic_Parameter)&aparameter)
| Adds <aparameter> to the sequence of parameters of <me>. .
Standard_EXPORT void | Parameter (const Handle(Dynamic_DynamicInstance)&aninstance) const
| Adds all the parameters of <me>, to the sequence of parameters of <aninstance>. .
Standard_EXPORT void | Parameter (const Standard_CString aparameter, const Standard_Integer avalue) const
| Puts the integer value <avalue> into the parameter object identified by the string <aparameter>. .
Standard_EXPORT void | Parameter (const Standard_CString aparameter, const Standard_Real avalue) const
| Puts the real value <avalue> into the parameter object identified by the string <aparameter>. .
Standard_EXPORT void | Parameter (const Standard_CString aparameter, const Standard_CString avalue) const
| Puts the string <avalue> into the parameter object identified by the string <aparameter>. .
Standard_EXPORT void | Parameter (const Standard_CString aparameter, const Handle(Dynamic_DynamicInstance)&avalue) const
| Puts the dynamic instance <avalue> into the parameter object identified by the string <aparameter>. .
Standard_EXPORT Handle_Dynamic_Parameter | Parameter (const Standard_CString aparameter) const
| Searches and returns the parameter object identified by the string <aparameter>. .
Standard_EXPORT void | Class (const Handle(Dynamic_DynamicClass)&aclass)
| Sets the reference of the class. .
Standard_EXPORT void | Execute (const Standard_CString amethod) const
| Calls the method identified by the string <amethod>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_DynamicClass | thedynamicclass
Handle_Dynamic_ParameterNode | thefirstparameternode

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_DynamicInstance::Dynamic_DynamicInstance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Dynamic_DynamicInstance::Class | ( | const Handle(Dynamic_DynamicClass)& | aclass | ) |

Standard_EXPORT void Dynamic_DynamicInstance::Execute | ( | const Standard_CString | amethod | ) | const

Standard_EXPORT const Dynamic_DynamicInstance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_Dynamic_Parameter Dynamic_DynamicInstance::Parameter | ( | const Standard_CString | aparameter | ) | const

Standard_EXPORT void Dynamic_DynamicInstance::Parameter | ( | const Standard_CString | aparameter,
|  | const Handle(Dynamic_DynamicInstance)& | avalue
| ) | const

Standard_EXPORT void Dynamic_DynamicInstance::Parameter | ( | const Standard_CString | aparameter,
|  | const Standard_CString | avalue
| ) | const

Standard_EXPORT void Dynamic_DynamicInstance::Parameter | ( | const Standard_CString | aparameter,
|  | const Standard_Real | avalue
| ) | const

Standard_EXPORT void Dynamic_DynamicInstance::Parameter | ( | const Standard_CString | aparameter,
|  | const Standard_Integer | avalue
| ) | const

Standard_EXPORT void Dynamic_DynamicInstance::Parameter | ( | const Handle(Dynamic_DynamicInstance)& | aninstance | ) | const

Standard_EXPORT void Dynamic_DynamicInstance::Parameter | ( | const Handle(Dynamic_Parameter)& | aparameter | ) |

## Field Documentation

Handle_Dynamic_DynamicClass Dynamic_DynamicInstance::thedynamicclass `[private]`

Handle_Dynamic_ParameterNode Dynamic_DynamicInstance::thefirstparameternode `[private]`

The documentation for this class was generated from the following file:

- Dynamic_DynamicInstance.hxx